<div>
  <v-skeleton-loader
    class="mx-auto mt-3"
    width="100%"
    type="card"
    height="200px"
    v-if="loadingRevenueTable"
  >
  </v-skeleton-loader>

  <v-simple-table
    v-else
    class="scrollTable c-pointer"
    fixed-header
    style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
  >
    <template v-slot:default>
      <template v-if="listRevenueHour && listRevenueHour.length">
        <thead>
          <tr class="!bg-gray !rounded-t-xl bg-[#F5F7F9]">
            <th class="text-left !bg-[#F5F7F9]">
              <div style="width: 130px">
                <p class="!text-[#6E7C87] text-xs font-semibold">Hour</p>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 150px">
                <p class="!text-[#6E7C87] text-xs font-semibold">
                  Purchase Order (PO)
                </p>
                <button
                  v-if="sortPurchase"
                  @click="onSortTableHightToLow('purchase')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('purchase')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 150px">
                <p class="!text-[#6E7C87] text-xs font-semibold">
                  Marketing Rev (RE)
                </p>
                <button
                  v-if="sortRevenueTotal"
                  @click="onSortTableHightToLow('revenueTotal')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('revenueTotal')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 170px">
                <p class="!text-[#6E7C87] text-xs font-semibold">
                  Revenue (RE - Cancel)
                </p>
                <button
                  v-if="sortRevenue"
                  @click="onSortTableHightToLow('revenue')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('revenue')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>

            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 100px">
                <p class="!text-[#6E7C87] text-xs font-semibold">Refund</p>
                <button
                  v-if="sortRefund"
                  @click="onSortTableHightToLow('refund')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('refund')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 100px">
                <p class="!text-[#6E7C87] text-xs font-semibold">Cost (PC)</p>
                <button
                  v-if="sortProductCost"
                  @click="onSortTableHightToLow('productCost')"
                >
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('productCost')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2" style="width: 100px">
                <p class="!text-[#6E7C87] text-xs font-semibold">AOV</p>
                <button v-if="sortAov" @click="onSortTableHightToLow('aov')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('aov')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
            <th class="text-left !bg-[#F5F7F9]">
              <div class="flex items-center gap-2">
                <p class="!text-[#6E7C87] text-xs font-semibold">PC/RE</p>
                <button v-if="sortPcre" @click="onSortTableHightToLow('pc/re')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M12 19.5v-15m0 0l-6.75 6.75M12 4.5l6.75 6.75"
                    />
                  </svg>
                </button>
                <button v-else @click="onSortTableLowToHigh('pc/re')">
                  <svg
                    xmlns="http://www.w3.org/2000/svg"
                    fill="none"
                    viewBox="0 0 24 24"
                    stroke-width="1.5"
                    stroke="currentColor"
                    class="w-5 h-5"
                  >
                    <path
                      stroke-linecap="round"
                      stroke-linejoin="round"
                      d="M19.5 13.5L12 21m0 0l-7.5-7.5M12 21V3"
                    />
                  </svg>
                </button>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item,idx) in listRevenueHour" :key="item + idx">
            <td class="text-sm">{{item.group}}</td>
            <td>
              <p class="text-sm">{{item.purchase}}</p>
            </td>
            <td>
              <p class="text-sm text-emerald-500">
                ${{item.revenueTotal &&
                $utils.formatCurrencyFloat(item.revenueTotal)}}
              </p>
              <p class="text-xs text-red-500">
                - ${{item.revenueTotal &&
                $utils.formatCurrencyFloat(item.revenueTotal - item.revenue) ||
                0}}
              </p>
            </td>
            <td>
              <p class="text-sm">
                ${{item.revenue && $utils.formatCurrencyFloat(item.revenue)}}
              </p>
            </td>
            <td>
              <p class="text-sm">
                {{ item.revenueTotal &&
                $utils.formatCurrencyFloat(item.revenueTotal - item.revenue) ||
                0 }}
              </p>
            </td>
            <td>
              <p class="text-sm">
                ${{item.productCost &&
                $utils.formatCurrencyFloat(item.productCost)}}
              </p>
            </td>
            <td>
              <p class="text-sm">
                ${{item.aov && $utils.formatCurrencyFloat(item.aov)}}
              </p>
            </td>
            <td>
              <p class="text-sm">
                {{item && Math.round(item["pc/re"] * 100) || 0}}%
              </p>
            </td>
          </tr>
        </tbody>
      </template>
      <template v-else>
        <EmptyData />
      </template>
    </template>
  </v-simple-table>
</div>
